body {
  overflow-x: hidden;
}

.adidassplash {
 position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url('/img/intro.gif');
  background-size: cover; /* Stretches to fill screen without distortion */
  background-position: center; /* Keeps the focal point centered */
  background-repeat: no-repeat;
 background-color: #000000;
 display: flex;
 justify-content: center;
 align-items: center;
 z-index: 9999;
 animation: fit forwards , 0.2s mainc linear forwards 9.8s; 
 pointer-events: none;
}

  .wipe-right {
  /* Create an oversized mask: transparent section, gradient transition, solid section */
  -webkit-mask-image: linear-gradient(to right, #000 33%, transparent 66%, transparent);
  mask-image: linear-gradient(to right, #000 33%, transparent 66%, transparent);
  
  /* Make the mask 3x the width of the text container to allow a smooth scroll area */
  -webkit-mask-size: 300% 100%;
  mask-size: 300% 100%;
  
  /* Start with the mask completely covering the text with its transparent section */
  -webkit-mask-position: 100% 0;
  mask-position: 100% 0;
  
  /* Link the custom reveal animation */
  animation: textWipeRight 2s ease-out forwards;
}

/* Keyframes to smoothly pull the solid section of the mask over the text */
@keyframes textWipeRight {
  to {
    -webkit-mask-position: 0% 0;
    mask-position: 0% 0;
  }
}
.samsungahh {
 position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url('/samsungahhsearch/img/intro.gif');
  background-size: cover; /* Stretches to fill screen without distortion */
  background-position: center; /* Keeps the focal point centered */
  background-repeat: no-repeat;
 background-color: #e0ffff;
 display: flex;
 justify-content: center;
 align-items: center;
 z-index: 9999;
 animation: fit forwards , 0.2s mainc linear forwards 6.3s; 
 pointer-events: none;
}

.hanksplash {
 position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url('/ths_search/img/intro.gif');
  background-size: cover; /* Stretches to fill screen without distortion */
  background-position: center; /* Keeps the focal point centered */
  background-repeat: no-repeat;
 background-color: #e0ffff;
 display: flex;
 justify-content: center;
 align-items: center;
 z-index: 9999;
 animation: fit forwards , 0.2s mainc linear forwards 9.8s; 
 pointer-events: none;
}

.fadeintext {
  font-size: 3rem;
  text-transform:uppercase;
  letter-spacing: 2px;
  text-align: center;
  opacity: 0;
  animation: fit 1.25s linear forwards , fo 1.25s linear forwards 2.0s;
  color: #3b8bff;
}

@keyframes fit {
 0% {opacity: 0;}
 100% {opacity: 1;}
}

@keyframes fo {
 0% {opacity: 1; visibility: visible;}
 100% {opacity: 0; visibility: hidden;}
}

@keyframes mainc {
 0% {opacity: 1;}
 100% {opacity: 0;}
}